1⃣
System Requirements
We've done our best listing the system requirements for Miniature Pets and it's extensions. Please make sure that you don't miss some of the things in this page before reaching out to support.

Miniature Pets

Server Software

List of all the supported software versions for your server.
Version
Forks
Notes
1.7.x ❌
CraftBukkit, Spigot
Is no longer supported and has reached EOL.
1.8.8 βœ…
Spigot, Paper
Versions below 1.8.8 are unsupported.
1.9.x βœ…
Spigot, Paper
​
1.10.x βœ…
Spigot, Paper
​
1.11.x βœ…
Spigot, Paper
​
1.12.x βœ…
Spigot, Paper
​
1.13.x βœ…
Spigot, Paper
​
1.14.x βœ…
Spigot, Paper
​
1.15.x βœ…
Spigot, Paper
​
1.16.xβœ…
Spigot, Paper
​
1.17.x βœ…
Spigot, Paper, Tuinity, Purpur
​
1.18.1 βœ…
Spigot, Paper, Tuinity, Purpur
Latest version supported, plugin is most compatible with it.
1.18.2 πŸ•“
Spigot, Paper, Tuinity, Purpur
Spigot version hasn't been released yet. Support is unofficial.

Java Versions

List of all the supported Java versions of your server. Please note, that this is in correspondence with the required Java version of your server software.
Version
Notes
Java 8 (LTS) βœ…
​
Java 9 ❌
Reached EOL. Unofficial support.
Java 10 ❌
Reached EOL. Unofficial support.
Java 11 (LTS) βœ…
​
Java 12 ❌
Reached EOL. Unofficial support.
Java 13 ❌
Reached EOL. Unofficial support.
Java 14 ❌
Reached EOL. Unofficial support.
Java 15 ❌
Reached EOL. Unofficial support.
Java 16 ❌
Reached EOL. Unofficial support.
Java 17 (LTS) βœ…
​

Citizens Integration

Alongside the requirements specified above, this integration also requires Citizens v2.0.29 or higher which can be downloaded here for free. It can also be bought and contributed to from here.
Please make sure that you comply with their system requirements as well.

Model Engine Integration

Alongside the requirements specified above, this integration also requires Model Engine v2.3.1 or higher which can be downloaded here for free. It can also be bought and contributed to from here.
Please make sure that you comply with their system requirements as well.